--modified by fid.deny 2015-04-11
CREATE PROCEDURE [dbo].[GetPlaneHeader](@TEXT VARCHAR(MAX), @DATEFROM VARCHAR(15), @DATETO VARCHAR(15), @C INT OUTPUT)
AS
BEGIN
DECLARE @DOCKTABLE TABLE (DOCKCD VARCHAR(4))
DECLARE @PHYDOCK TABLE (DOCKCD VARCHAR(4))
DECLARE @FROM VARCHAR(20), @TO VARCHAR(20)

--SELECT @FROM = COALESCE(@FROM + '', '') + CAST(s AS VARCHAR) FROM [dbo].fnSplitString(@DATEFROM,'/')
--SET @FROM = SUBSTRING(@FROM,5,4) + SUBSTRING(@FROM,1,2) + SUBSTRING(@FROM,3,2)

--SELECT @TO = COALESCE(@TO + '', '') + CAST(s AS VARCHAR) FROM [dbo].fnSplitString(@DATETO,'/')
--SET @TO = SUBSTRING(@TO,5,4) + SUBSTRING(@TO,1,2) + SUBSTRING(@TO,3,2)

select @FROM = cast(@DATEFROM AS DATE)
select @TO = cast(@DATETO AS DATE)

INSERT INTO @DOCKTABLE SELECT s FROM [dbo].fnSplitString(@TEXT,';')

INSERT INTO @PHYDOCK 
SELECT ISNULL(A.PHYSICAL_DOCKCD, B.DOCKCD) 
FROM TB_M_PHYSICAL_DOCK_MAPPING A JOIN @DOCKTABLE B 
ON A.LOGICAL_DOCKCD = B.DOCKCD OR A.PHYSICAL_DOCKCD = B.DOCKCD

INSERT INTO @PHYDOCK
SELECT A.LOGICAL_DOCKCD FROM TB_M_PHYSICAL_DOCK_MAPPING A JOIN @PHYDOCK B ON A.PHYSICAL_DOCKCD = B.DOCKCD
INSERT INTO @PHYDOCK SELECT DOCKCD FROM @DOCKTABLE

SELECT DISTINCT
CONVERT(INT,A.LMROS) [P_LANE]
--A.CRCVLDCKCD [RCVDOCK],
--A.CSUPLLOGPTCD + '-' + A.CSUPLPLNTCD + CASE WHEN A.CSUPLDCKCD <> '' THEN '-' + A.CSUPLDCKCD ELSE '' END [SUPPID], 
--B.SUPPLIER_ABBREVIATION SUP_ABBR,
--CONVERT(CHAR(5), A.DHNDSTRTIME, 108) PLANE_IN,
--CONVERT(VARCHAR(5), DATEADD(minute, -15, DATEADD(hh, -7, A.DHNDSTRTIME)), 108)
FROM TB_R_PLANE A
INNER JOIN TB_M_SUPPLIER B ON B.SUPPLIER_CODE = RIGHT(REPLICATE('0',4) + CAST(A.CSUPLLOGPTCD AS VARCHAR(4)),4) 
AND B.SUPPLIER_PLANT_CD = A.CSUPLPLNTCD
WHERE CRCVLDCKCD IN (SELECT DISTINCT DOCKCD FROM @PHYDOCK) 
--AND DORDDATE >= @FROM AND DORDDATE <= @TO
AND CAST(DORDDATE AS DATE) IN (@FROM, @TO)
ORDER BY P_LANE ASC
--, [RCVDOCK] ASC, CONVERT(VARCHAR(5), DATEADD(minute, -15, DATEADD(hh, -7, A.DHNDSTRTIME)), 108) ASC

SELECT @C = @@ROWCOUNT
END

